Input method set to ibus in Ubuntu Kylin, while fcitx is the desired default

Bug #1297831 reported by Ma Jun on 2014-03-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Kylin
Critical
Ma Jun
im-config (Ubuntu)
High
Gunnar Hjalmarsson
language-selector (Ubuntu)
High
Gunnar Hjalmarsson

Bug Description

the default input method is ibus , not fcitx as expected.

Ma Jun (maclin.jun) wrote :
Ma Jun (maclin.jun) wrote :
Ma Jun (maclin.jun) wrote :
Changed in ubuntukylin:
importance: Undecided → Critical
Aron Xu (happyaron) wrote :

I think you have installed ibus by "complete language support", or you have network connectivity during installation, right?

Changed in language-selector (Ubuntu):
importance: Undecided → High
status: New → Triaged
summary: - default input method is ibus
+ Input method set to ibus in Ubuntu Kylin, while fcitx is the desired
+ default
Ma Jun (maclin.jun) wrote :

@aron, yes, the network is connected during installation. How to solve this problem?

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1297831

tags: added: iso-testing
Gunnar Hjalmarsson (gunnarhj) wrote :

Well, it's not language-selector that picks the default - im-config does.

There is a system wide config file in im-config:

$ cat /etc/X11/xinit/xinputrc
# im-config(8) generated on Sat, 26 Jun 2010 11:41:39 +0900
run_im default
# im-config signiture: b4adf8baabbc92cf765f58e30f74c5e5 -

The simplest solution I can think of is that the script used to set up Ubuntu Kylin edits that file, i.e. replaces "run_im default" with "run_im fcitx".

Otherwise, patching im-config specifically for Ubuntu Kylin is another option.

Changed in language-selector (Ubuntu):
status: Triaged → Invalid
Aron Xu (happyaron) wrote :

This does not only means selecting defaults, but language-selector will pull in all ibus stack when installing the complete language support, so it's still relevant to language-selector I think.

Jack Yu (jackyu) on 2014-03-27
Changed in ubuntukylin:
assignee: nobody → Ma Jun (maclin.jun)
milestone: none → trusty-final-freeze
Gunnar Hjalmarsson (gunnarhj) wrote :

On 2014-03-27 04:22, Aron Xu wrote:
> This does not only means selecting defaults, but language-selector will
> pull in all ibus stack when installing the complete language support, so
> it's still relevant to language-selector I think.

As regards the issue that packages are installed unnecessarily, you are right of course. But that does not affect the functionality of Ubuntu Kylin, and I chose to see it as another bug. ;-)

It would be very late in the cycle to do anything about it.

Ma Jun (maclin.jun) wrote :

I read the source code of language-selector and find that it mainly set the input method in language selector dialog.

I also try the "im-config -m" in installed 14.04 system with latest ISO and the result is:
default
missing
ibus

 This time I install the system without network. So I think this may be the problem of configure file of im-config

Changed in ubuntukylin:
status: New → Triaged
Gunnar Hjalmarsson (gunnarhj) wrote :

Ma Jun,
I think so too. I can prepare an im-config merge proposal if you like.

Changed in im-config (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
Ma Jun (maclin.jun) wrote :

Thanks Gunnar, that will be very nice, I am waiting for it :)

Gunnar Hjalmarsson (gunnarhj) wrote :

Because of the way im-config and language-selector work together with respect to the default input method system, I ended up with changes in both packages. The config files are bypassed rather than modified.

Changed in im-config (Ubuntu):
importance: Undecided → High
status: New → In Progress
Changed in language-selector (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Invalid → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-selector - 0.126

---------------
language-selector (0.126) trusty; urgency=medium

  * LanguageSelector/ImConfig.py:
    Make fcitx the system default if installed (LP: #1297831).
 -- Gunnar Hjalmarsson <email address hidden> Thu, 27 Mar 2014 15:09:00 +0100

Changed in language-selector (Ubuntu):
status: Fix Committed → Fix Released
Huan Peng (penghuanmail) wrote :

hook script in ubuntukylin-default-settings package not work, so ibus not removed

Gunnar Hjalmarsson (gunnarhj) wrote :

@Huan Peng: The proposed im-config fix makes fcitx the default, even if ibus is installed too. This way the users have the option to easily switch to ibus, if they so prefer.

@Aron Xu: The sponsorship queue is currently long. Any chance that you can upload the im-config MP?

Aron Xu (happyaron) wrote :

Uploaded, now waiting for approval.

Changed in im-config (Ubuntu):
status: In Progress → Fix Committed
Changed in ubuntukylin:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package im-config - 0.24-1ubuntu4

---------------
im-config (0.24-1ubuntu4) trusty; urgency=medium

  * debian/patches/01_fcitx-default-if-installed.patch,
    debian/im-config.user-session.upstart:
    Make fcitx the system default if installed (LP: #1297831).
 -- Gunnar Hjalmarsson <email address hidden> Thu, 27 Mar 2014 16:17:00 +0100

Changed in im-config (Ubuntu):
status: Fix Committed → Fix Released
Ma Jun (maclin.jun) on 2014-04-10
Changed in ubuntukylin:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers